%{
/* Nenad Taskovic 5/93 e-mail: neyt@fon.bg.ac.yu www: http://fon.fon.bg.ac.yu/~neyt/ */

#include <string.h>
#ifdef __TURBOC__      /* ako je prevodilac Borland Turbo C    */
#  include "y_tab.h"   /* ime heder datoteke koja se ukljucuje */
#else
#  include "y.tab.h"   /* ime heder datoteke na UNIX-u         */
   int yywrap (void);  /* UNIX verzija flex-a zahteva funkciju yywrap() */
#endif

int linija = 1;        /* broj linije teksta koja se analizira */

%}

%%

int               return (INT);
string            return (STRING);
[1-9][0-9]*       yylval.integer = atoi(yytext); return (INTEGER);
[A-Z][A-Z0-9]*    strcpy(yylval.id, yytext); return (ID);
[ \t]
[\n]              linija ++;
.                 return (yytext[0]);

%%

#ifndef __TURBOC__
int yywrap (void)
{
   return 1;
}
#endif
